java.lang

## Class Void

- java.lang.Object
- - java.lang.Void

    public final class Void
    extends Object

The `Void` class is an uninstantiable placeholder class to hold a reference to the `Class` object representing the Java keyword void.

Since:
  JDK1.1

### Field Summary

Fields
`static Class<Void>` `TYPE` The `Class` object representing the pseudo-type corresponding to the keyword `void`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final Class<Void> TYPE

The `Class` object representing the pseudo-type corresponding to the keyword `void`.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.